Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045908
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-02-16 16:452021-03-02 07:39
ReporteravicenteView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045908: js error when 'Count Safe Box'

DescriptionAn js error is raise when 'Count Safe Box' and:
- There are more than one payment method as 'Defined in Safe Box' = Yes
- The preference 'CashUp - Group payments by expected amount' = Yes

See vídeo https://drive.google.com/file/d/1Fv2cpg1S-EezndTgpoC_dKmfvd4-PuqQ/view [^]
Steps To ReproduceConfiguration:
1. Log into https://livebuilds.openbravo.com/retail_pi_pgsql [^]
2. Create a new Financial Account as image2.
3. Define a new payment method for the safe box VBSB03 as image3
4. In the 'Channel - Touchpoint Type'=VBS POS Safe Box Terminal Type, define the payment method 'Voucher' as 'Defined in Safe Box'=Yes.
5. Set the preference 'CashUp - Group payments by expected amount' = Yes

See in the following video how to reproduce the error:
https://drive.google.com/file/d/1Fv2cpg1S-EezndTgpoC_dKmfvd4-PuqQ/view [^]
TagsNOR
Attached Filesjpg file icon image2.JPG [^] (183,982 bytes) 2021-02-16 16:50


jpg file icon image3.JPG [^] (150,279 bytes) 2021-02-16 16:51


jpg file icon Image1.JPG [^] (216,059 bytes) 2021-02-16 16:51

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126380)
hgbot (developer)
2021-02-26 18:44

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/326 [^]
(0126440)
hgbot (developer)
2021-03-02 07:39

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: dc7a58359be90f94073237215a969b9caf5dc307
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-03-02T06:39:15+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/dc7a58359be90f94073237215a969b9caf5dc307 [^]

Fixed BUG-45908: Added clause to find paymentModel by paymentMethod id

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---
(0126441)
hgbot (developer)
2021-03-02 07:39

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/326 [^]

- Issue History
Date Modified Username Field Change
2021-02-16 16:45 avicente New Issue
2021-02-16 16:45 avicente Assigned To => Retail
2021-02-16 16:45 avicente Triggers an Emergency Pack => No
2021-02-16 16:50 avicente Tag Attached: NOR
2021-02-16 16:50 avicente File Added: image2.JPG
2021-02-16 16:51 avicente File Added: image3.JPG
2021-02-16 16:51 avicente File Added: Image1.JPG
2021-02-17 15:45 rqueralta Assigned To Retail => rqueralta
2021-02-17 15:45 rqueralta Status new => scheduled
2021-02-26 18:44 hgbot Note Added: 0126380
2021-03-02 07:39 hgbot Resolution open => fixed
2021-03-02 07:39 hgbot Status scheduled => closed
2021-03-02 07:39 hgbot Fixed in Version => RR21Q2
2021-03-02 07:39 hgbot Note Added: 0126440
2021-03-02 07:39 hgbot Note Added: 0126441


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker